package cokr.xit.fims.rdca.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;
import cokr.xit.fims.rdca.Rdamt;
import cokr.xit.fims.rdca.RdamtQuery;
import cokr.xit.fims.rdca.service.RdamtService;

/**감액 대장 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2024-02-01	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("rdamtService")
public class RdamtServiceBean extends AbstractServiceBean implements RdamtService {

	/** 감액 대장 정보 Bean */
	@Resource(name = "rdamtBean")
	private RdamtBean rdamtBean;

	@Override
	public List<DataObject> getRdamtList(RdamtQuery req) {
		return rdamtBean.getRdamtList(req);
	}

	@Override
	public List<DataObject> getRdamts(RdamtQuery req) {
		return rdamtBean.getRdamts(req);
	}

	@Override
	public DataObject getRdamtInfo(RdamtQuery req) {
		return rdamtBean.getRdamtInfo(req);
	}

	@Override
	public String createRdamt(Rdamt rdamt) {
		return rdamtBean.createRdamt(rdamt);
	}

	@Override
	public String updateRdamt(Rdamt rdamt) {
		return rdamtBean.updateRdamt(rdamt);
	}

	@Override
	public String removeRdamt(Rdamt rdamt) {
		return rdamtBean.removeRdamt(rdamt);
	}

}
